﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.DragDrop;

namespace RadBookReorderingBookItems
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<BookPage> collection;
        public MainWindow()
        {
            InitializeComponent();

            collection = BookPage.GetBookPages;
            this.RadBook1.ItemsSource = collection;
           
            this.listBox1.ItemsSource = collection;

        }

        private void listBox1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (e.AddedItems.Count > 0)
            {
                BookPage bookPage = e.AddedItems[0] as BookPage;
                int pageNumber = bookPage.PageNumber;

                this.RadBook1.RightPageIndex = pageNumber - 1;
            }
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            collection.Move(2, 4);
        }
    }
    public class BookPage
    {
        public string Content { get; set; }

        public int PageNumber { get; set; }

        public static ObservableCollection<BookPage> GetBookPages
        {
            get
            {
                return new ObservableCollection<BookPage>
                    {
                        new BookPage() { Content = "Sample Content 1", PageNumber = 1 },
                        new BookPage() { Content = "Sample Content 2", PageNumber = 2 },
                        new BookPage() { Content = "Sample Content 3", PageNumber = 3 },
                        new BookPage() { Content = "Sample Content 4", PageNumber = 4 },
                        new BookPage() { Content = "Sample Content 5", PageNumber = 5 },
                        new BookPage() { Content = "Sample Content 6", PageNumber = 6 },
                    };
            }
        }
    }
}
